Re: jack 0.102.11 (svn) + freebob = undefined symbol: freebob_get_api_version

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: jack 0.102.11 (svn) + freebob = undefined symbol: freebob_get_api_version

Fernando Lopez-Lezcano
On Wed, 2006-06-07 at 20:25 +0200, Pieter Palmers wrote:

> Fernando Lopez-Lezcano wrote:
> > Hey, I'm just starting to try to build a new jackd with freebob support.
> > After getting all the 1394 libraries and libfreebob done I managed to
> > build jack but when trying to run it I bump into this:
> >
> > ----
> >> jackd -d freebob
> > could not open driver .so
> > '/usr/lib/jack/jack_freebob.so': /usr/lib/jack/jack_freebob.so:
> > undefined symbol: freebob_get_api_version
> >
> > jackd: unknown driver 'freebob'
> > ----
> >
> > Where should I start looking?
>
> My mistake, I forgot to commit this function to libfreebob SVN. I fixed
> it now. If you update the svn version of libfreebob to revision 251, the
> problem should be solved.

I have one more question, it looks like it is not possible to turn off
the creation of static libraries, and then it needs static libraries
from raw1394 and others (which normal packages don't usually include).
Or is there a configure switch for that that I missed? (I tried the
usual ones)

-- Fernando




_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel
Reply | Threaded
Open this post in threaded view
|

Re: jack 0.102.11 (svn) + freebob = undefined symbol: freebob_get_api_version

Pieter Palmers
Fernando Lopez-Lezcano wrote:

> On Wed, 2006-06-07 at 20:25 +0200, Pieter Palmers wrote:
>> Fernando Lopez-Lezcano wrote:
>>> Hey, I'm just starting to try to build a new jackd with freebob support.
>>> After getting all the 1394 libraries and libfreebob done I managed to
>>> build jack but when trying to run it I bump into this:
>>>
>>> ----
>>>> jackd -d freebob
>>> could not open driver .so
>>> '/usr/lib/jack/jack_freebob.so': /usr/lib/jack/jack_freebob.so:
>>> undefined symbol: freebob_get_api_version
>>>
>>> jackd: unknown driver 'freebob'
>>> ----
>>>
>>> Where should I start looking?
>> My mistake, I forgot to commit this function to libfreebob SVN. I fixed
>> it now. If you update the svn version of libfreebob to revision 251, the
>> problem should be solved.
>
> I have one more question, it looks like it is not possible to turn off
> the creation of static libraries, and then it needs static libraries
> from raw1394 and others (which normal packages don't usually include).
> Or is there a configure switch for that that I missed? (I tried the
> usual ones)

Interesting question. Could it be due to the fact that we have divided
libfreebob into some sub-libraries (avc/streaming/...) that are linked
together to form libfreebob?

I'm not really a libtool expert (at all), but I'll try and figure it out.

Greets,

Pieter


_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel
Reply | Threaded
Open this post in threaded view
|

Re: jack 0.102.11 (svn) + freebob = undefined symbol: freebob_get_api_version

Daniel Wagner-4
> Interesting question. Could it be due to the fact that we have divided
> libfreebob into some sub-libraries (avc/streaming/...) that are linked
> together to form libfreebob?

I have changed the build rules and there won't be any statically
sub-libraries anymore. They were anyway a PITA.

daniel


_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel
Reply | Threaded
Open this post in threaded view
|

Re: jack 0.102.11 (svn) + freebob = undefined symbol: freebob_get_api_version

Fernando Lopez-Lezcano
On Sat, 2006-06-10 at 12:54 +0200, Daniel Wagner wrote:
> > Interesting question. Could it be due to the fact that we have divided
> > libfreebob into some sub-libraries (avc/streaming/...) that are linked
> > together to form libfreebob?
>
> I have changed the build rules and there won't be any statically
> sub-libraries anymore. They were anyway a PITA.

Thanks, svn version 261 seems to work perfectly in that respect (no
longer requires .a/.la from libraw1394 and libiec61883)

-- Fernando




_______________________________________________
Jackit-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/jackit-devel